PHP Error by all sites

matrix630307
72 Posts
matrix630307 posted this 26 May 2017

hi
on sites, i become the error-message here, when i will open the themplate with themler:

[PHP_ERROR]{"message":"\n\nOS: Linux tux355 4.8.11-hoststar #1 SMP Tue Nov 29 13:39:39 CET 2016 x86_64\nPHP: 7.1.1\nerror handler: A non well formed numeric value encountered\nArray\n(\n [value] => 128M\n [str] => 128m\n)\n Callstack: \n -> Helper::toBytes('128M')\n -> Helper::getMemoryLimit()\n -> Helper::tryAllocateMemory()\n -> ExportController::execute(array(4) { ... })\n\n\n","type":"E_NOTICE","file":"/home/www/web146/html/cms/templates/mbstadtrat01/app/classes/Helper.php","line":586}[PHP_ERROR]

This is the example, when i will open the themplate from domain markusbirck.ch. What is this?

hi on sites, i become the error-message here, when i will open the themplate with themler: [PHP_ERROR]{"message":"\n\nOS: Linux tux355 4.8.11-hoststar #1 SMP Tue Nov 29 13:39:39 CET 2016 x86_64\nPHP: 7.1.1\nerror handler: A non well formed numeric value encountered\nArray\n(\n [value] => 128M\n [str] => 128m\n)\n Callstack: \n -> Helper::toBytes('128M')\n -> Helper::getMemoryLimit()\n -> Helper::tryAllocateMemory()\n -> ExportController::execute(array(4) { ... })\n\n\n","type":"E_NOTICE","file":"\/home\/www\/web146\/html\/cms\/templates\/mbstadtrat01\/app\/classes\/Helper.php","line":586}[PHP_ERROR] This is the example, when i will open the themplate from domain markusbirck.ch. What is this?
Vote to pay developers attention to this features or issue.
7 Comments
Order By: Standard | Newest
Support Team
Support Team posted this 27 May 2017

Hi,

Looks like the old issue related to incompatibility with php 7.1.1 which we fixed in the last Themler update. What php version is running on your server?
Is i possible to downgrade it and upgrade the theme? Or you can download theme bu FTP, open in Themler desktop and update theme there.

Thank you,
Olivia

Hi, Looks like the old issue related to incompatibility with php 7.1.1 which we fixed in the last Themler update. What php version is running on your server? Is i possible to downgrade it and upgrade the theme? Or you can download theme bu FTP, open in Themler desktop and update theme there. Thank you, Olivia
matrix630307
72 Posts
matrix630307 posted this 27 May 2017

i have on all sites php 7.1.1 and the message from my first post.
when i go back to 7.0 with htaccess-demand, then i can update. but you make not a possible version that this error will not show and i can update directly?

i have on all sites php 7.1.1 and the message from my first post. when i go back to 7.0 with htaccess-demand, then i can update. but you make not a possible version that this error will not show and i can update directly?
Support Team
Support Team posted this 28 May 2017

Hi,

Unfortunately there is no way to update the theme without downgrading your PHP version once you have already updated the theme to the version with the issue. So you need to downgrade the PHP version or use a desktop version to update the theme.

Sincerely,
Hella

Hi, Unfortunately there is no way to update the theme without downgrading your PHP version once you have already updated the theme to the version with the issue. So you need to downgrade the PHP version or use a desktop version to update the theme. Sincerely, Hella
matrix630307
72 Posts
matrix630307 posted this 28 May 2017

ok - it's a little bit strange, but goes....
thank you

ok - it's a little bit strange, but goes.... thank you
online9
7 Posts
online9 posted this 27 November 2017

I have the same problem. I am running PHP v7.0.25. Downgraded to PHPv 5.6 (just in case) but no change. Any other thoughts?
I can edit themes on other joomla sites within the same shared hosting environment - same PHP versions.
I have tried disabling plugins installed recently - no change.

Message is like:

PHP_ERROR]{"message":"\n\nOS: Linux r118.websiteservername.com 3.10.0-714.10.2.lve1.4.74.el7.x86_64 #1 SMP Wed Oct 11 15:51:10 EDT 2017 x86_64\nPHP: 7.0.25\nerror handler: Undefined variable: accepted\nArray\n(\n [CBlog] => \/home\/lakeferryadmin\/public_html\/plugins\/system\/botipblocker\/botipblocker_log.txt\n [mainframe] => Joomla\\CMS\\Application\\AdministratorApplication Object\n (\n [docOptions:protected] => Array\n (\n [template] => isis\n [file] => themler.php\n [params] => Joomla\\Registry\\Registry Object\n (\n [data:protected] => stdClass Object\n (\n [templateColor] => \n [logoFile] => \n )\n\n [initialized:protected] => 1\n [separator] => .\n )\n\n [directory] => \/home\/lakeferryadmin\/public_html\/administrator\/templates\n )\n\n [scope] => \n [_clientId:protected] => 1\n [_messageQueue:protected] => Array\n (\n )\n\n [_name:protected] => administrator\n [profiler:protected] => \n [template:protected] => stdClass Object\n (\n [template] => isis\n [params] => Joomla\\Registry\\Registry Object\n (\n [data:protected] => stdClass Object\n (\n [templateColor] => \n [logoFile] => \n )\n\n [initialized:protected] => 1\n [separator] => .\n )\n\n )\n\n [charSet] => utf-8\n [mimeType] => text\/html\n [modifiedDate] => \n [client] => Joomla\\Application\\Web\\WebClient Object\n (\n [platform:protected] => \n [mobile:protected] => \n [engine:protected] => \n [browser:protected] => \n [browserVersion:protected] => \n [languages:protected] => Array\n (\n )\n\n [encodings:protected] => Array\n (\n )\n\n [userAgent:protected] => Mozilla\/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/62.0.3202.94 Safari\/537.36\n [acceptEncoding:protected] => gzip\n [acceptLanguage:protected] => en-NZ,en-GB;q=0.9,en-US;q=0.8,en;q=0.7\n [robot:protected] => \n [detection:protected] => Array\n (\n )\n\n [headers:protected] => \n )\n\n [document:protected] => Joomla\\CMS\\Document\\HtmlDocument Object\n (\n [_links] => Array\n (\n [\/administrator\/templates\/isis\/favicon.ico] => Array\n (\n [relation] => shortcut icon\n [relType] => rel\n [attribs] => Array\n (\n [type] => image\/vnd.microsoft.icon\n )\n\n )\n\n )\n\n [_custom] => Array\n (\n )\n\n [template] => isis\n [baseurl] => \/administrator\n [params] => Joomla\\Registry\\Registry Object\n (\n [data:protected] => stdClass Object\n (\n [templateColor] => \n [logoFile] => \n )\n\n [initialized:protected] => 1\n [separator] => .\n )\n\n [_file] => \/home\/lakeferryadmin\/public_html\/administrator\/templates\/isis\/themler.php\n [_template:protected] => \n\n\n \n \n

I have the same problem. I am running PHP v7.0.25. Downgraded to PHPv 5.6 (just in case) but no change. Any other thoughts? I can edit themes on other joomla sites within the same shared hosting environment - same PHP versions. I have tried disabling plugins installed recently - no change. Message is like: PHP_ERROR]{"message":"\n\nOS: Linux r118.websiteservername.com 3.10.0-714.10.2.lve1.4.74.el7.x86_64 #1 SMP Wed Oct 11 15:51:10 EDT 2017 x86_64\nPHP: 7.0.25\nerror handler: Undefined variable: accepted\nArray\n(\n [CBlog] => \/home\/lakeferryadmin\/public_html\/plugins\/system\/botipblocker\/botipblocker_log.txt\n [mainframe] => Joomla\\CMS\\Application\\AdministratorApplication Object\n (\n [docOptions:protected] => Array\n (\n [template] => isis\n [file] => themler.php\n [params] => Joomla\\Registry\\Registry Object\n (\n [data:protected] => stdClass Object\n (\n [templateColor] => \n [logoFile] => \n )\n\n [initialized:protected] => 1\n [separator] => .\n )\n\n [directory] => \/home\/lakeferryadmin\/public_html\/administrator\/templates\n )\n\n [scope] => \n [_clientId:protected] => 1\n [_messageQueue:protected] => Array\n (\n )\n\n [_name:protected] => administrator\n [profiler:protected] => \n [template:protected] => stdClass Object\n (\n [template] => isis\n [params] => Joomla\\Registry\\Registry Object\n (\n [data:protected] => stdClass Object\n (\n [templateColor] => \n [logoFile] => \n )\n\n [initialized:protected] => 1\n [separator] => .\n )\n\n )\n\n [charSet] => utf-8\n [mimeType] => text\/html\n [modifiedDate] => \n [client] => Joomla\\Application\\Web\\WebClient Object\n (\n [platform:protected] => \n [mobile:protected] => \n [engine:protected] => \n [browser:protected] => \n [browserVersion:protected] => \n [languages:protected] => Array\n (\n )\n\n [encodings:protected] => Array\n (\n )\n\n [userAgent:protected] => Mozilla\/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/62.0.3202.94 Safari\/537.36\n [acceptEncoding:protected] => gzip\n [acceptLanguage:protected] => en-NZ,en-GB;q=0.9,en-US;q=0.8,en;q=0.7\n [robot:protected] => \n [detection:protected] => Array\n (\n )\n\n [headers:protected] => \n )\n\n [document:protected] => Joomla\\CMS\\Document\\HtmlDocument Object\n (\n [_links] => Array\n (\n [\/administrator\/templates\/isis\/favicon.ico] => Array\n (\n [relation] => shortcut icon\n [relType] => rel\n [attribs] => Array\n (\n [type] => image\/vnd.microsoft.icon\n )\n\n )\n\n )\n\n [_custom] => Array\n (\n )\n\n [template] => isis\n [baseurl] => \/administrator\n [params] => Joomla\\Registry\\Registry Object\n (\n [data:protected] => stdClass Object\n (\n [templateColor] => \n [logoFile] => \n )\n\n [initialized:protected] => 1\n [separator] => .\n )\n\n [_file] => \/home\/lakeferryadmin\/public_html\/administrator\/templates\/isis\/themler.php\n [_template:protected] => \n\n\n \n \n

Last edited 27 November 2017 by online9

Support Team
Support Team posted this 27 November 2017

Hi Paul,

May we ask you to create a new private ticket and provide us with a temp access to your Joomla back-end there so we can try to help you.

Thanks,
Ivan

Hi Paul, May we ask you to create a new private ticket and provide us with a temp access to your Joomla back-end there so we can try to help you. Thanks, Ivan
support93
2 Posts
support93 posted this 08 March 2019

Hello,
I have the same error on all my site but no one answers me !

Hello, I have the same error on all my site but no one answers me !
You must log in or register to leave comments